Get Workflow Node Context
Read one node with its immediate upstream and downstream graph context.
GET
/developer/v1/workflows/{definition_id}/nodes/{node_id}/contextAuthorizations
Authorizationstringheaderrequired
Send your GenHealth credential as Bearer <YOUR_API_KEY>. This endpoint requires workflow:read for the authenticated organization.
Headers
Acceptstringheader
Response media type. Use application/json for the current API.
Parameters
definition_idrequirednode_idrequiredResponses
WorkflowNodeContextResponse
available_outputsarray<object<string, any>>branch_outputsarray<object<string, any>>current_nodeobject<string, any> | nulldefinition_idstring | nulldownstream_nodesarray<object<string, any>>editableboolean | nullerrorstring | nullerror_categorystring | nullHTTPValidationError
detailarray<ValidationError>